package kr.co.vividnext.sodalive.mypage.can.charge

import com.google.gson.annotations.SerializedName
import kr.co.vividnext.sodalive.mypage.can.payment.PaymentGateway

data class ChargeRequest(
    @SerializedName("canId")
    val canId: Long,
    @SerializedName("paymentGateway")
    val paymentGateway: PaymentGateway
)

data class ChargeResponse(
    @SerializedName("chargeId")
    val chargeId: Long
)

data class VerifyRequest(
    @SerializedName("receipt_id")
    val receiptId: String,
    @SerializedName("order_id")
    val orderId: String
)
